Summary: An op5 Monitor plugin to monitor Microsoft SQL Server
Name: monitor-plugin-check_mssql
Version: %{op5version}
Release: %{op5release}%{?dist}
License: GPLv2+
Group: op5/system-addons
URL: http://www.op5.com/support
Source0: %name-%version.tar.gz
Prefix: /opt/plugins
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildArch: noarch
Requires: perl
Requires: perl-Nagios-Plugin

%if 0%{?suse_version}
# SLES-specific stuff
Requires: freetds-tools
%else
# Common RHEL stuff
%if 0%{?rhel} >= 6
# RHEL6-specific stuff
Requires: freetds
%else
# RHEL5-specific stuff
%endif
%endif

%description
This plugin is to be used to monitor MS SQL Server.
It is usin tsql.

%prep
%setup -q

%build

%install
mkdir -p %buildroot/opt/plugins
cp check_mssql.pl %buildroot/opt/plugins/check_mssql.pl

pushd %buildroot%prefix
	ln -s check_mssql.pl check_mssql
popd

%clean
rm -rf %buildroot

%files
%defattr(-,root,root,-)
%attr(755,root,root) /opt/plugins/check_mssql.pl
%attr(755,root,root) /opt/plugins/check_mssql

%changelog
* Tue May 29 2013 Martin Kamijo <mk@op5.com>
Inital commit of the plugins
